Table of Contents

## Name

im_fractsurf - creates a fractal surface

## Synopsis

#include <vips/vips.h>

int im_fractsurf(in, frdim, size)
IMAGE *in;
double frdim;
int size;

## Description

im_fractsurf creates a fracta surface. The program initially creates a gaussian noise image (im_gausnoise(3X) ) of sizes size x size. The image is then filtered (im_flt_image_freq(3X) ) in order to force the power spectrum to decay according to the desired fractal dimension frdim. The result is a one band float image and should be scaled for display.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_flt_image_freq(3X) , im_gausnoise(3X)

## Copyright

N. Dessipris,

## Author

N. Dessipris - 06/07/1990

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author